<div class="dialog-content-wrapper">
  <div *ngIf="spinnerloader == true">
    <div class="p-24 m-0" fusePerfectScrollbar fxLayoutAlign="center center" mat-dialog-content>
      <mat-spinner></mat-spinner>
    </div>
  </div>

  <div *ngIf="spinnerloader == false">
    <mat-toolbar class="m-0" matDialogTitle>
      <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
        <span class="title dialog-title">Usuario: {{usuario.name}} {{usuario.lastname}}</span>
        <button (click)="dialogRef.close(0)" color="primary" mat-icon-button>
          <mat-icon [inline]="true" style=" width: 30px; height: 30px;" svgIcon="close-dialog"></mat-icon>
        </button>
      </mat-toolbar-row>
    </mat-toolbar>

    <div class="p-24 pb-0 scroll" fusePerfectScrollbar mat-dialog-content>
      <form [formGroup]="usuarioFormGroup">

        <div fxFlex="100" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="space-around center">
          <mat-form-field appearance="outline" fxFlex="48" fxFlex.xs="100" style="width:100%">
            <mat-label>Nombres</mat-label>
            <input autocomplete="off" formControlName="name" matInput>
          </mat-form-field>
          <mat-form-field appearance="outline" fxFlex="48" fxFlex.xs="100" style="width:100%">
            <mat-label>Apellidos</mat-label>
            <input autocomplete="off" formControlName="lastname" matInput>
          </mat-form-field>
        </div>

        <div fxFlex="100" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="space-around center">
          <mat-form-field appearance="outline" fxFlex="48" fxFlex.xs="100" style="width:100%">
            <mat-label>Correo Electrónico</mat-label>
            <input autocomplete="off" formControlName="email" matInput type="email">
            <mat-error *ngIf="usuarioFormGroup.get('email').invalid">Correo eletrónico incorrecto</mat-error>
          </mat-form-field>
          <mat-form-field appearance="outline" fxFlex="48" fxFlex.xs="100" style="width:100%">
            <mat-label>Contraseña</mat-label>
            <input autocomplete="off" formControlName="password" matInput type="password">
          </mat-form-field>
        </div>

        <div *ngIf="usuario.office_id!=0" fxFlex="100" fxLayout="row" fxLayout.xs="column"
             fxLayoutAlign="space-around center">
          <mat-form-field appearance="outline" fxFlex="48" fxFlex.xs="100" style="width:100%">
            <mat-label>Rol</mat-label>
            <mat-select formControlName="role_id">
              <mat-option *ngFor="let role of roleArr" [ngClass]="{'disabled_option':role.id==1||role.id==2}"
                          [value]="role.id">
                {{role.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </form>
    </div>

    <!-- <div mat-dialog-actions class="mb-24 p-16" fxLayout="row" fxLayoutAlign="center center"  fxLayoutGap="35px" > -->
    <div *ngIf="usuario.office_id!=0" class="p-16" fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="35px"
         mat-dialog-actions>
      <button (click)="edit()" *ngIf="!editEnabled" color="primary" mat-stroked-button>
        <mat-icon>edit</mat-icon>
        Editar
      </button>
      <button (click)="edit()" *ngIf="editEnabled" [disabled]="usuarioFormGroup.invalid" color="primary"
              mat-stroked-button>
        <mat-icon>check</mat-icon>
        Guardar
      </button>
    </div>
  </div>

</div>

